Proxy limit
Proxy limit
This request returns the limits of the specified authorization (user) by id
Example
https://mobile.proxy-seller.com/api/v1/proxyLimits/652319f04cb7965413432168Path parameters
Name | Type | Description |
|---|---|---|
id* | String | Id of proxy limit |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
{
"id": "652319f04cb7965413432168",
"ownerId": "62326bcaf3904578675f9ef7",
"speedLimit": 10000,
"trafficLimit": 10000
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHPROXY_LIMIT_NOT_FOUND,
MODEM_AUTH_NOT_FOUND_FOR_PROXY_LIMIT,
INVALID_MODEMCreate limit
This request ecnfyfdkbdftn the limits of the specified authorization (user) on the specified modem.
Attention: setting at least one limit on the modem authorization will reset the modem limit setting, if it is set.
Example
https://mobile.proxy-seller.com/api/v1/proxyLimitsHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request body
Name | Type | Description |
|---|---|---|
modemAuthIds* | Array of String | Array of modem authorization IDs on which the limit will be written |
modemId* | String | id of modem |
speedLimit* | Number | modem speed limit in bits |
trafficLimit* | Number | traffic speed limit in bits |
Example request body
{
"modemId": "63c234098746e15666325bf9f",
"modemAuthIds": ["62326bcaf3904578675f9ef7"],
"speedLimit": "100000",
"trafficLimit": "200000"
}Response
{
"failedModemAuths": []
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCH,
MODEM_HAVE_INSUFFICIENT_PRIVILEGESINVALID_MODEM_AUTH_IDSMODEM_NOT_FOUND,
RATE_NOT_FOUND,
MODEM_AUTH_NOT_FOUND,